सामग्री पर जाएँ

Object Removal · Mask

इंटीग्रेट करें

मॉडल id object-removal/mask
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/object-removal/mask?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.024 24 API क्रेडिट · ≈ ₽2.53 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज एडिटिंग #utility#editing

मास्क इमेज से चिह्नित ऑब्जेक्ट हटाता है, जिसमें सफ़ेद पिक्सेल मिटाए जाने वाले क्षेत्र को दर्शाते हैं

Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

ऑब्जेक्ट हटाने के स्रोत के रूप में उपयोग किया जाने वाला इमेज URL।

•आवश्यक mask_url
फ़ाइल ड्रॉप करें, या

हटाने वाले मास्क की पहचान करने वाला URL, जिसमें मिटाए जाने वाले क्षेत्र सफ़ेद पिक्सेल (255) से दर्शाए जाते हैं।

model डिफ़ॉल्ट best_quality
उन्नत mask_expansion
डिफ़ॉल्ट 15

पिक्सेल में मास्क विस्तार दूरी, 0 से 50 तक।

POST /run/object-removal/mask?wait=20 कोटेशन → $0.024
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/object-removal/mask?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Object Removal · Mask के बारे में

ऐसी `mask_url` इमेज का उपयोग करता है जिसमें सफ़ेद पिक्सेल (255) `image_url` वाले चित्र से हटाई जाने वाली चीज़ को चिह्नित करते हैं। क्षेत्र को उपयुक्त सामग्री से फिर भर दिया जाता है। `model` low_quality से best_quality तक गुणवत्ता स्तर सेट करता है और `mask_expansion` मास्क को 0 से 50 पिक्सेल तक बड़ा करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
ऑब्जेक्ट हटाने के स्रोत के रूप में उपयोग किया जाने वाला इमेज URL।
mask_urlआवश्यक mask
प्रकारurl · image
हटाने वाले मास्क की पहचान करने वाला URL, जिसमें मिटाए जाने वाले क्षेत्र सफ़ेद पिक्सेल (255) से दर्शाए जाते हैं।
modelवैकल्पिक
प्रकारenum
डिफ़ॉल्टbest_quality
low_qualitymedium_qualityhigh_qualitybest_quality
mask_expansionवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट15
0 – 50
पिक्सेल में मास्क विस्तार दूरी, 0 से 50 तक।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "object-removal/mask",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 24,
    "usd": "0.024",
    "charged": 24,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}ऑब्जेक्ट हटाने के बाद आउटपुट इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/object-removal/mask.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt